## mingw-w64-python-igraph-0.11.9-1.src.tar.zst

=== vendor/source/igraph/fuzzing/CMakeLists.txt ===
include(fuzz_helpers)

add_custom_target(build_fuzzers)

# Add fuzz targets
add_fuzzer(basic_properties_directed)
add_fuzzer(basic_properties_undirected)
add_fuzzer(bliss)
add_fuzzer(centrality)
add_fuzzer(weighted_centrality)
add_fuzzer(community)
add_fuzzer(weighted_community)
add_fuzzer(edge_connectivity)
add_fuzzer(linear_algos_directed)
add_fuzzer(linear_algos_undirected)
add_fuzzer(misc_algos)
add_fuzzer(misc_algos_weighted)
add_fuzzer(read_dimacs_flow)
add_fuzzer(read_dl)
add_fuzzer(read_edgelist)
add_fuzzer(read_gml)
add_fuzzer(read_graphdb)
add_fuzzer(read_graphml)
add_fuzzer(read_lgl)
add_fuzzer(read_ncol)
add_fuzzer(read_pajek)
add_fuzzer(vertex_connectivity)
add_fuzzer(vertex_separators)
add_fuzzer(write_all_gml)
add_fuzzer(write_all_graphml)

=== vendor/source/igraph/tools/lapack/Makefile ===
LOADLIBS = -ly -lfl -lm
LIBS = -lfl -lm
CFLAGS	= -O

all: lenscrub comment

lenscrub: lenscrub.l
	lex lenscrub.l
	mv -f lex.yy.c lex_for_lenscrub.c
	cc -o lenscrub -O lex_for_lenscrub.c -ll

comment: comment.l
	lex comment.l
	mv -f lex.yy.c lex_for_comment.c
	cc -o comment -O lex_for_comment.c -ll

=== PKGBUILD ===
_realname=igraph
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=0.11.9
pkgrel=1
pkgdesc="Python interface to the igraph high performance graph library, primarily aimed at complex network research and analysis. (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://pypi.org/project/igraph/'
msys2_references=(
  'purl: pkg:pypi/igraph'
)
license=('spdx:GPL-2.0')
depends=("${MINGW_PACKAGE_PREFIX}-python" "${MINGW_PACKAGE_PREFIX}-python-texttable" "$MINGW_PACKAGE_PREFIX-igraph")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build" "${MINGW_PACKAGE_PREFIX}-python-installer" 
"$MINGW_PACKAGE_PREFIX-python-setuptools" "$MINGW_PACKAGE_PREFIX-pkgconf" "$MINGW_PACKAGE_PREFIX-cc" "$MINGW_PACKAGE_PREFIX-cmake"
)
options=('!strip')
source=("https://pypi.org/packages/source/${_realname::1}/${_realname}/${_realname}-${pkgver}.tar.gz"
        )
sha256sums=('c57ce44873abcfcfd1d61d7d261e416d352186958e7b5d299cf244efa6757816')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

}

build() {
  msg "Python build for ${MSYSTEM}"
  cd "${srcdir}"
  cp -r "${_realname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  IGRAPH_USE_PKG_CONFIG=1   ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}


package() {
  msg "Python install for ${MSYSTEM}"
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
